unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  LMessages;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure FormChangeBounds(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormWindowStateChange(Sender: TObject);
  private
    procedure OnMove(var Msg: TLMMove); message LM_MOVE;
    procedure OnWindowPosChanging(var Msg: TLMWindowPosChanging); message LM_WINDOWPOSCHANGING;
    procedure OnWindowPosChanged(var Msg: TLMWindowPosChanged); message LM_WINDOWPOSCHANGED;
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormChangeBounds(Sender: TObject);
begin
  Memo1.Lines.Add('ChangeBounds');
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Memo1.Clear;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  Memo1.Lines.Add('Resize');
end;

procedure TForm1.FormWindowStateChange(Sender: TObject);
begin
  Memo1.Lines.Add('WindowStateChange');
end;

procedure TForm1.OnMove(var Msg: TLMMove);
begin
  Memo1.Lines.Add('Move');
end;

procedure TForm1.OnWindowPosChanging(var Msg: TLMWindowPosChanging);
begin
//  Memo1.Lines.Add('WindowPosChanging');
end;

procedure TForm1.OnWindowPosChanged(var Msg: TLMWindowPosChanged);
begin
  Memo1.Lines.Add('WindowPosChanged');
end;

end.
